umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Static Public Member Functions | List of all members
Uml::Corner Class Reference

`#include <basictypes.h>`

## Public Types
enum | Enum { TopLeft = 0x1 , TopRight = 0x2 , BottomRight = 0x4 , BottomLeft = 0x8 }

## Static Public Member Functions
static QString | toString (Enum item)
static Enum | fromString (const QString &item)
static Enum | fromInt (int item)

## Detailed Description

Corner class with special operators.

## Member Enumeration Documentation

## ◆ Enum

enum Uml::Corner::Enum

Enumerator
TopLeft |
TopRight |
BottomRight |
BottomLeft |

## Member Function Documentation

## ◆ fromInt()

Corner::Enum Uml::Corner::fromInt | ( | int | item | ) |
| static

Convert an integer item into Corner representation.

Parameters

  item | integer value to convert

Returns
  Corner enum

## ◆ fromString()

Corner::Enum Uml::Corner::fromString | ( | const QString & | item | ) |
| static

Return Corner corresponding to the given string.

## ◆ toString()

QString Uml::Corner::toString | ( | Enum | item | ) |
| static

Return string corresponding to the given Corner.

The documentation for this class was generated from the following files:

- umbrello/basictypes.h
- umbrello/basictypes.cpp